routes/web.php
<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\TagsController;
use App\Http\Controllers\CategoriesController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\FrontendController;
use App\Http\Controllers\PostsController;
use App\Http\Controllers\UsersController;




Route::prefix('admin')->middleware(['auth'])->group(function () {
    Route::get('/dashboard', function () {
        return view('admin-panel.dashboard');
    })->name('dashboard');
    Route::put('/users/{user}/make-admin',[UsersController::class,'makeAdmin'])->name('users.makeAdmin');
    Route::put('/users/{user}/revoke-admin',[UsersController::class,'revokeAdmin'])->name('users.revokeAdmin');
    Route::resource('users', UsersController::class);
    Route::resource('tags', TagsController::class)->except(['show']);
    Route::resource('categories', CategoriesController::class)->except(['show']);

    Route::get('/posts/trashed',[PostsController::class,'trashed'])->name('posts.trashed');




    Route::resource('posts', PostsController::class);
    Route::put('posts/{post}/publish-now',[PostsController::class,'publish'])->name('posts.publish');

    Route::put('posts/trashed/{post}/restore',[PostsController::class,'restore'])->name('posts.restore');
    Route::delete('posts/trashed/{post}/destroy',[PostsController::class,'forceDelete'])->name('posts.forceDelete');

});
Route::get('/',[FrontendController::class,'index']);
Route::resource('comments', CommentsController::class);

Route::get('/categories/{category}',[FrontendController::class,'category'])->name('blogs.category');
Route::get('/tags/{tag}',[FrontendController::class,'tag'])->name('blogs.tag');
Route::get('/blogs/{post}',[FrontendController::class,'show'])->name('blogs.show');





// Route::get('/', function () {
//     return view('welcome');
// });

Route::get('/dashboard', function () {
    return view('admin-panel.dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';

app/Models/Post.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

use Illuminate\Support\Facades\Storage;


class Post extends Model
{
    use HasFactory, SoftDeletes;
    protected $guarded = [];


    protected function casts(): array
    {
        return [
            'published_at'=>'datetime',
        ];
    }

    public function tags() {
        return $this->belongsToMany(Tag::class);
    }

    public function category() {
        return $this->belongsTo(Category::class);
    }

    public function author() {
        return $this->belongsTo(User::class,'user_id');
    }
    public function comments()
    {
        return $this->hasMany(Comment::class);
    }

    public function getStatusAttribute() {
        return $this->published_at == null ? "<span class='badge bg-warning'>Draft</span>" : "<span class='badge bg-success'>Published</span>";
    }

    public function scopePublished($query) {
        return $query->whereNotNull('published_at');
    }

    public function scopeSearch($query) {
        $searchKey = request('search');

        if($searchKey) {
            $query = $query->where('title','like',"%${searchKey}%");
        }
        return $query;
    }

    public function getIsPublishedAttribute() {
        return $this->published_at !== null;
    }

    public function getImageAttribute() {
        return 'storage/'.$this->image_path;
    }

    public function deleteImage(): bool {
        return Storage::delete($this->image_path);
    }
}

app/Http/Controllers/PostsController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Routing\Controllers\HasMiddleware;
use Illuminate\Routing\Controllers\Middleware;
use App\Models\Post;
use App\Models\Category;
use App\Models\Tag;
use App\Http\Requests\CreatePostRequest;
use App\Http\Requests\UpdatePostRequest;


class PostsController extends Controller implements HasMiddleware

{

    public static function middleware() {
        return [
            new Middleware('verifyUserForEditAndDelete',only: ['edit','update','destroy','publish','forceDelete','restore']),
            new Middleware('validateIfCategoryExists',only:['create'])
        ];
    }
    public function index() {
        if(auth()->user()->isAdmin() || auth()->user()->isSuperAdmin()) {
            $posts = Post::latest('updated_at')->paginate(10);
        } else {
            $posts = Post::where('user_id',auth()->id())
                                    ->latest('updated_at')
                                    ->paginate(10);
        }

        return view('admin-panel.posts.index',compact(['posts']));
    }

    public function create() {
        $categories = Category::all();
        $tags = Tag::all();
        return view('admin-panel.posts.create',compact(['categories','tags']));
    }

    public function store(CreatePostRequest $request) {
        $image = $request->file('image')->store('images/posts');
        $post = Post::create([
            'title'=>$request->title,
            'excerpt'=>$request->excerpt,
            'body'=>$request->body,
            'published_at'=>$request->published_at,
            'category_id'=>$request->category_id,
            'image_path'=>$image,
            'user_id'=> 1
        ]);
        // dd($post->tags());
        $post->tags()->attach($request->tags);

        return redirect(route('posts.index'))->with('success','Post Created successfully!');
    }

    public function edit(Request $request, Post $post) {
        $categories = Category::all();
        $tags = Tag::all();
        return view('admin-panel.posts.edit',compact(['post','categories','tags']));
    }

    public function update(UpdatePostRequest $request,Post $post) {
        $data = $request->only(['title','excerpt','body','published_at','category_id']);

        if($request->hasFile('image')) {
            $data['image_path'] = $request->file('image')->store('images/posts');
            $post->deleteImage();
        }
        $post->update($data);
        $post->tags()->sync($request->tags);

        session()->flash('success','Post updated successfully!');
        return(redirect(route('posts.index')));
    }

    public function publish (Request $request,Post $post) {
        $post->published_at = now();
        $post->save();
        session()->flash('success','Post published successfully!');
        return (redirect(route('posts.index')));
    }

    public function destroy (Post $post) {
        // $post->deleteImage();
        $post->delete();
        session()->flash('success','Post updated successfully!');
        return (redirect(route('posts.index')));
    }

    public function trashed() {
        if(auth()->user()->isSuperAdmin() || auth()->user()->isAdmin()  ) {
            $posts = Post::onlyTrashed()->paginate(10);
        } else {
            $posts = Post::onlyTrashed()->where('user_id',auth()->id())->paginate(10);
        }
        return view('admin-panel.posts.trashed',compact(['posts']));

    }
    public function restore(int $postId) {
        // dd($postId);
        $post = Post::onlyTrashed()->find($postId);
        $post->restore();
        session()->flash('success','Post restored successfully!');
        return (redirect(route('posts.trashed')));
    }
    public function forceDelete (int $postId) {
        $post = Post::onlyTrashed()->find($postId);

        $post->deleteImage();
        $post->forceDelete();
        session()->flash('success','Post updated successfully!');
        return (redirect(route('posts.trashed')));
    }
}

resources/views/admin-panel/posts/create.blade.php
{{-- {{ dd($tags) }} --}}
@extends('admin-panel.layouts.admin')
@section('page-level-styles')
<link rel="stylesheet" type="text/css" href="https://unpkg.com/trix@2.0.8/dist/trix.css">
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
@endsection

@section('admin-content')
<div class="container-fluid my-3 px-3" >
    <form action="{{route('posts.store')}}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="form-group mb-3">
          <label for="title">Title</label>
          <input name="title" type="text" class="form-control @error('title') is-invalid  @enderror" id="title" aria-describedby="nameHelp" placeholder="Enter title" value="{{old('title')}}">
          <small id="nameHelp" class="form-text text-danger">
            @error('title')
            {{ $message }}
             @enderror
             </small>
        </div>

        <div class="form-group mb-3">
            <label for="excerpt">Excerpt</label>
            <textarea name="excerpt" type="text" class="form-control @error('excerpt') is-invalid  @enderror" id="excerpt" aria-describedby="nameHelp" placeholder="Enter excerpt" >{{old('excerpt')}}</textarea>
            <small id="nameHelp" class="form-text text-danger">
              @error('excerpt')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="category_id">Category</label>
            <select class="select2 form-control" name="category_id" id="category_id">
                <option value="select..." selected disabled>Select....</option>
                @foreach ($categories as $category )
                <option value="{{ $category->id }}" {{ $category->id === old('category_id') ? 'selected' : ''}}>{{ $category->name}}</option>

                @endforeach
              </select>
            <small id="nameHelp" class="form-text text-danger">
              @error('category_id')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="mb-3">
            <label for="body" class="form-label">Body</label>
            <input type="hidden" class="form-control @error('body') is-invalid @enderror" id="body" name="body"  value="{{old('body')}}">
            <trix-editor input="body"></trix-editor>
            <div id="nameHelp" class="form-text text-danger">
                @error('body')
                    {{$message}}
                @enderror
            </div>
        </div>

        <div class="form-group mb-3">
            <label for="image">Image</label>
            <input type="file" name="image" id="image" class="form-control" accept=".jpg,.gif,.png">
            <small id="nameHelp" class="form-text text-danger">
              @error('image')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="published_at">Published At</label>
            <input type="datetime-local" name="published_at" id="published_at" class="form-control" >
            <small id="nameHelp" class="form-text text-muted">
             Keep it blank to save it as a draft
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="tags">Tags</label>
            <select class="select2 form-control" name="tags[]" id="tags" multiple="multiple">
                <option value="select..." selected disabled>Select....</option>
                @foreach ($tags as $tag )
                <option value="{{ $tag->id }}" {{ $tag->id === old('tag_id') ? 'selected' : ''}}>{{ $tag->name}}</option>
                @endforeach
              </select>
            <small id="nameHelp" class="form-text text-muted">
                @error('tags')
                {{ $message }}
                 @enderror
            </small>
        </div>


        <button type="submit" class="btn btn-primary my-2">Submit</button>
    </form>
</div>

<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/trix@2.0.8/dist/trix.umd.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>



@endsection

resources/views/admin-panel/posts/edit.blade.php
{{-- {{ dd($tags) }} --}}
@extends('admin-panel.layouts.admin')
@section('page-level-styles')
<link rel="stylesheet" type="text/css" href="https://unpkg.com/trix@2.0.8/dist/trix.css">
<link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
@endsection

@section('admin-content')
<div class="container-fluid my-3 px-3" >
    <form action="{{route('posts.update',$post)}}" method="POST" enctype="multipart/form-data">
        @method('PUT')
        @csrf
       
        <div class="form-group mb-3">
          <label for="title">Title</label>
          <input name="title" type="text" class="form-control @error('title') is-invalid  @enderror" id="title" aria-describedby="nameHelp" placeholder="Enter tag name" value="{{old('title',$post->title)}}">
          <small id="nameHelp" class="form-text text-danger">
            @error('title')
            {{ $message }}
             @enderror
             </small>
        </div>

        <div class="form-group mb-3">
            <label for="excerpt">Excerpt</label>
            <textarea name="excerpt" type="text" class="form-control @error('excerpt') is-invalid  @enderror" id="excerpt" aria-describedby="nameHelp" placeholder="Enter excerpt" >{{old('excerpt',$post->excerpt)}}</textarea>
            <small id="nameHelp" class="form-text text-danger">
              @error('excerpt')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="category_id">Category</label>
            <select class="select2 form-control" name="category_id" id="category_id">
                <option value="select..." selected disabled>Select....</option>
                @foreach ($categories as $category )
                <option value="{{ $category->id }}"
                {{ $category->id === old('category_id',$post->category_id) ? 'selected' : '' }}>
                {{ $category->name }}
            </option>

                @endforeach
              </select>
            <small id="nameHelp" class="form-text text-danger">
              @error('category_id')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="mb-3">
            <label for="body" class="form-label">Body</label>
            <input type="hidden" class="form-control @error('body') is-invalid @enderror" id="body" name="body"  value="{{old('body',$post->body)}}">
            <trix-editor input="body"></trix-editor>
            <div id="nameHelp" class="form-text text-danger">
                @error('body')
                    {{$message}}
                @enderror
            </div>
        </div>

        <div class="form-group mb-3">
            <label for="image">Image</label>
            <input type="file" name="image" id="image" class="form-control" accept=".jpg,.gif,.png">
            <small id="nameHelp" class="form-text text-danger">
              @error('image')
              {{ $message }}
               @enderror
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="published_at">Published At</label>
            <input type="datetime-local" name="published_at" id="published_at" class="form-control" >
            <small id="nameHelp" class="form-text text-muted">
             Keep it blank to save it as a draft
            </small>
        </div>

        <div class="form-group mb-3">
            <label for="tags">Tags</label>
            <select class="select2 form-control" name="tags[]" id="tags" multiple="multiple">
                <option value="select..." selected disabled>Select....</option>
                @foreach ($tags as $tag )
                <option value="{{ $tag->id }}" {{ in_array($tag->id,$post->tags->pluck('id')->toArray())  ? 'selected' : ''}}>{{ $tag->name}}</option>
                @endforeach
              </select>
            <small id="nameHelp" class="form-text text-muted">
                @error('tags')
                {{ $message }}
                 @enderror
            </small>
        </div>


        <button type="submit" class="btn btn-primary my-2">Submit</button>
    </form>
</div>

<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <script type="text/javascript" src="https://unpkg.com/trix@2.0.8/dist/trix.umd.min.js"></script>
    <script src="https://code.jquery.com/jquery-3.7.1.min.js" integrity="sha256-/JqT3SQfawRcv/BIHPThkBvs0OEvtFFmqPF/lYI/Cxo=" crossorigin="anonymous"></script>



@endsection

resources/views/admin-panel/posts/index.blade.php
@extends('admin-panel.layouts.admin')

@section('admin-content')

    <div class="container-fluid px-4 mt-4">
        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <div>
                                <svg class="svg-inline--fa fa-table me-1" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="table" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M64 256V160H224v96H64zm0 64H224v96H64V320zm224 96V320H448v96H288zM448 256H288V160H448v96zM64 32C28.7 32 0 60.7 0 96V416c0 35.3 28.7 64 64 64H448c35.3 0 64-28.7 64-64V96c0-35.3-28.7-64-64-64H64z"></path></svg>
                                <h1 class="mt-4 d-inline">Posts</h1>
                            </div>
                            <a href="{{route('posts.create')}}" class="btn btn-outline-primary">Add Post</a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="datatable-wrapper datatable-loading no-footer sortable searchable fixed-columns">
                            <div class="datatable-container">
                                <table id="datatablesSimple" class="datatable-table">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Image</th>
                                            <th>Title</th>
                                            <th>Excerpt</th>
                                            <th>Body</th>
                                            <th>Status</th>
                                            <th>Category</th>
                                            <th>Author Name</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($posts as $post )
                                        <tr >
                                            <td>{{$post->id}}</td>
                                            <td>
                                                <img src="{{ asset($post->image)}}" alt="{{ $post->title }}" style="max-width: 100px">
                                            </td>
                                            <td>{{Str::limit($post->title,10)}}</td>
                                            <td>{{Str::limit($post->excerpt,10)}}</td>
                                            <td>{!!Str::limit($post->body,10)!!}</td>
                                            <td>{!! $post->status !!}</td>
                                            {{-- {{!! so that it render html as well!!}} --}}
                                            <td>{{$post->category->name}}</td>
                                            <td>{{$post->author->name}}</td>
                                            <td><a href="{{route('posts.edit',$post)}}" class="btn btn-warning"> <i class="fa-solid fa-pen"></i></a>
                                                <button data-delete-route="{{route('posts.destroy',$post)}}" class="delete-post btn btn-danger"><i class="fa-solid fa-trash"></i></button>
                                                @if(!$post->is_published)
                                                <button data-publish-route="{{route('posts.publish',$post)}}" class="publish-post btn btn-info"><i class="fa-solid fa-upload"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <div class="datatable-bottom">
                                {{$posts->links()}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{{-- Delete Modal --}}
<div class="modal fade" id="deleteModal" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Delete post?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to delete this post?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <form action="" class="d-inline-block" id="deleteForm" method="POST">
            @csrf
            @method('delete')
            <button type="submit" class="btn btn-primary">Delete post</button>
          </form>
        </div>
      </div>
    </div>
  </div>


  {{-- Publish modal --}}
  <div class="modal fade" id="publishModal" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Publish post?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to publish this post right now?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <form action="" class="d-inline-block" id="publishForm" method="POST">
            @csrf
            @method('PUT')
            <button type="submit" class="btn btn-primary">Save changes</button>
          </form>
        </div>
      </div>
    </div>
  </div>

@endsection

@section('page-level-scripts')
    <script src="{{asset('admin/js/page-level/posts/index.js')}}"></script>
@endsection

resources/views/admin-panel/posts/trashed.blade.php
@extends('admin-panel.layouts.admin')

@section('admin-content')


    <div class="container-fluid px-4 mt-4">
        <div class="row">
            <div class="col-md-12">
                <div class="card mb-4">
                    <div class="card-header">
                        <div class="d-flex justify-content-between">
                            <div>
                                <svg class="svg-inline--fa fa-table me-1" aria-hidden="true" focusable="false" data-prefix="fas" data-icon="table" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" data-fa-i2svg=""><path fill="currentColor" d="M64 256V160H224v96H64zm0 64H224v96H64V320zm224 96V320H448v96H288zM448 256H288V160H448v96zM64 32C28.7 32 0 60.7 0 96V416c0 35.3 28.7 64 64 64H448c35.3 0 64-28.7 64-64V96c0-35.3-28.7-64-64-64H64z"></path></svg>
                                <h1 class="mt-4 d-inline">Trashed Posts</h1>
                            </div>
                            <a href="{{route('posts.create')}}" class="btn btn-outline-primary">Add Post</a>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="datatable-wrapper datatable-loading no-footer sortable searchable fixed-columns">
                            <div class="datatable-container">
                                <table id="datatablesSimple" class="datatable-table">
                                    <thead>
                                        <tr>
                                            <th>#</th>
                                            <th>Image</th>
                                            <th>Title</th>
                                            <th>Excerpt</th>
                                            <th>Body</th>
                                            <th>Status</th>
                                            <th>Category</th>
                                            <th>Author Name</th>
                                            <th>Actions</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach ($posts as $post )
                                        <tr >
                                            <td>{{$post->id}}</td>
                                            <td>
                                                <img src="{{ asset($post->image)}}" alt="{{ $post->title }}" style="max-width: 100px">
                                            </td>
                                            <td>{{Str::limit($post->title,10)}}</td>
                                            <td>{{Str::limit($post->excerpt,10)}}</td>
                                            <td>{!!Str::limit($post->body,10)!!}</td>
                                            <td>{!! $post->status !!}</td>
                                            {{-- {{!! so that it render html as well!!}} --}}
                                            <td>{{$post->category->name}}</td>
                                            <td>{{$post->author->name}}</td>
                                            <td>
                                                <button data-restore-route="{{route('posts.restore',$post)}}" class="restore-post btn btn-warning" title="Restore"><i class="fa-solid fa-recycle"></i></button>

                                                <button data-delete-route="{{route('posts.forceDelete',$post)}}" class="delete-post btn btn-danger"><i class="fa-solid fa-trash"></i></button>
                                                @if(!$post->is_published)
                                                <button data-publish-route="{{route('posts.publish',$post)}}" class="publish-post btn btn-info"><i class="fa-solid fa-upload"></i></button>
                                                @endif
                                            </td>
                                        </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>
                            <div class="datatable-bottom">
                                {{$posts->links()}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
{{-- Delete Modal --}}
<div class="modal fade" id="deleteModal" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Delete post?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to delete this post permanently?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <form action="" class="d-inline-block" id="deleteForm" method="POST">
            @csrf
            @method('delete')
            <button type="submit" class="btn btn-primary">Delete post</button>
          </form>
        </div>
      </div>
    </div>
  </div>


  {{-- Publish modal --}}
  <div class="modal fade" id="publishModal" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Publish post?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to publish this post right now?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
          <form action="" class="d-inline-block" id="publishForm" method="POST">
            @csrf
            @method('PUT')
            <button type="submit" class="btn btn-primary">Save changes</button>
          </form>
        </div>
      </div>
    </div>
  </div>

  {{-- Restore modal --}}
  <div class="modal fade" id="restoreModal" tabindex="-1">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Restore post?</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close">
          </button>
        </div>
        <div class="modal-body">
          Are you sure you want to restore this Post?
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">No</button>
          <form action="" class="d-inline-block" id="restoreForm" method="POST">
            @csrf
            @method('PUT')
            <button type="submit" class="btn btn-primary">Yes</button>
          </form>
        </div>
      </div>
    </div>
  </div>
@endsection

@section('page-level-scripts')
    <script src="{{asset('admin/js/page-level/posts/trashed.js')}}"></script>
@endsection